This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 130308 - deliver segfaults when destination folder does not exists
deliver segfaults when destination folder does not exists
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cyrus-imapd (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Janousek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-18 18:22 EDT by Zailo Leite
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-01 08:43:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zailo Leite 2004-08-18 18:22:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
The patch cyrus-imapd-2.2.6-autocreate-0.2.diff has a bug.
When delivering mail using deliver, running as the cyrus admin, the
process will segfault if teh mail folder specified in -m does not exist.

Version-Release number of selected component (if applicable):
cyrus-imapd-2.2.6-5

How reproducible:
Always

Steps to Reproduce:
1.change user to the cyrus admin user.
2.cat sometestmail | /usr/local/cyrus/bin/deliver -a somemailuser -m
user.somemailuser.non-existingmailfolder
3.boom. Watch the errors on maillog refering to deliver exiting with
signal 11.
    

Actual Results:  The "deliver" process crashes with signal 11.

Expected Results:  Creation on the new folder and delivery of the message.

Additional info:

This was discovered durin a migration script run involving thousands
of users, so maybe the rapid-firing of the requests is a factor.
Removing the autocreate patch from the SRPM solves the issue. Messages
are rejected but the process won't crash.
Comment 1 Matthew Miller 2005-04-26 12:08:24 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Daniel Colascione 2006-01-24 21:59:09 EST
This happens for me too, and I'm running RHEL 4.
Comment 3 Tomas Janousek 2007-05-28 07:13:47 EDT
This bug has been fixed as part of cyrus-imapd update in RHEL 4.5:
 http://rhn.redhat.com/errata/RHBA-2007-0258.html

Please, check whether it actually was so that we can close this report.
Comment 4 Tomas Janousek 2007-08-14 07:35:44 EDT
Ping?
Comment 5 Tomas Janousek 2007-10-01 08:43:10 EDT
Closing for no response. (Although it has hopefully been fixed, just lacks
confirmation)

Note You need to log in before you can comment on or make changes to this bug.